{% extends 'proteins/base.html' %}
{% load bootstrap %}
{% block  title %}PBD list{% endblock title %}


{% block content %}
<div class="row">
    <!-- fromset-->
    <div class="col-md-6">
        <form method="get">
            {{ filter.form}}
            <br>
            <br>
            <input type="submit" class="btn btn-warning" value="Search" />
        </form>
        <br><br>
        <table class="table table-hover">
            <tr>
                <th> Entry</th>
                <th> Id PBD</th>
                <th> Description</th>
                <th> Organism</th>
            </tr>
            {% for obj in proteins %}
            <tr>
                <td>{{ obj.protein }} </td>
                <td> <a id="linkid" target="iframe1" href="https://www.rcsb.org/structure/{{ obj.id_pbd }} ">
                        {{ obj.id_pbd }} </a></td>
                <td> {{ obj.description }} </td>
                <td>{{ obj.protein.organism }} </td>
            </tr>
            {% endfor %}
        </table>

        <!----->
        <div class="paginator">

            {% with request.get_full_path as querystring %}
            <ul class="pagination nav navbar-nav">

                <!-- Previous page section -->
                {% if proteins.has_previous %}
                {% if 'protein' in querystring %}
                {% if 'page' in querystring %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="{{ querystring|slice:":-7" }}&page={{ proteins.previous_page_number }}">Prev</a>
                </li>
                {% else %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="{{ querystring }}&page={{ proteins.previous_page_number }}">Prev</a>
                </li>
                {% endif %}
                {% else %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="?page={{ proteins.previous_page_number }}">Prev</a>
                </li>
                {% endif %}
                {% endif %}

                <!-- All pages section -->
                {% for page in proteins.paginator.page_range %}
                {% if 'protein' in querystring %}
                {% if 'page' in querystring %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="{{ querystring|slice:":-7" }}&page={{ page }}">{{ page }}</a>
                </li>
                {% else %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="{{ querystring }}&page={{ page }}">{{ page }}</a>
                </li>
                {% endif %}
                {% else %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="?page={{ page }}">{{ page }}</a>
                </li>
                {% endif %}
                {% endfor %}

                <!-- Next page section -->
                {% if proteins.has_next %}
                {% if 'protein' in querystring %}
                {% if 'page' in querystring %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="{{ querystring|slice:":-7" }}&page={{ proteins.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="{{ querystring }}&page={{ proteins.next_page_number }}">Next</a>
                </li>
                {% endif %}
                {% else %}
                <li class="paginator {% if proteins.number == page %}active{% endif %}">
                    <a href="?page={{ proteins.next_page_number }}">Next</a>
                </li>
                {% endif %}
                {% endif %}

            </ul>
            {% endwith %}
        </div>
        <!------>
    </div>

    <div class="col-md-6">
        <iframe name="iframe1" src=""
            style="margin-top: 3rem; display: none;width: -moz-available;height: 600px;"></iframe>
    </div>
</div>





<br><br>
{% endblock %}


{% block custom_js %}
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script type="text/javascript">

    $(document).ready(function () {
        $("iframe").hide();
        $("#linkid").click(function () {
            $("iframe").show();
            $("iframe").css("display", "block")
        });
    });

</script>
{% endblock %}